Bug 251872 - devel/rubygem-oci: update to 2.12.0
Summary: devel/rubygem-oci: update to 2.12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://my.diffend.io/gems/oci/2.11.0...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-15 18:29 UTC by Alessandro Sagratini
Modified: 2020-12-21 21:32 UTC (History)
2 users (show)

See Also:


Attachments
trivial update of Makefile and distinfo (966 bytes, patch)
2020-12-15 18:29 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff
trivial update of distinfo and port version (1.08 KB, patch)
2020-12-16 15:26 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff
portlint output with new patch (90 bytes, text/plain)
2020-12-17 08:41 UTC, Alessandro Sagratini
no flags Details
poudriere output with new patch (30.24 KB, text/plain)
2020-12-17 08:42 UTC, Alessandro Sagratini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Sagratini 2020-12-15 18:29:01 UTC
Created attachment 220587 [details]
trivial update of Makefile and distinfo

trivial update of Makefile and distinfo
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-16 14:48:13 UTC
Q/A:  /tmp/251872/devel/rubygem-oci/distinfo: has no SIZE record for rubygem/oci-2.12.0.gem.
 /tmp/251872/devel/rubygem-oci/distinfo: no checksum record for rubygem/oci-2.12.0.gem.
 /tmp/251872/devel/rubygem-oci/distinfo: no checksum records for all supported algorithms (SHA256) for rubygem/oci-2.12.0.gem.

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html


Thanks!
Comment 2 Alessandro Sagratini 2020-12-16 15:26:28 UTC
Created attachment 220624 [details]
trivial update of distinfo and port version

updated correct file, previous one was not correct (distinfo was not modified)
Comment 3 Alessandro Sagratini 2020-12-17 08:41:52 UTC
Created attachment 220656 [details]
portlint output with new patch
Comment 4 Alessandro Sagratini 2020-12-17 08:42:39 UTC
Created attachment 220657 [details]
poudriere output with new patch
Comment 5 Alessandro Sagratini 2020-12-21 09:52:31 UTC
@Fernando Apesteguía, are logs and new patch enough to get some movement on this or do you need anything more?

Thank you,
Alessandro
Comment 6 Koichiro Iwao freebsd_committer 2020-12-21 12:12:50 UTC
No problem, the new patch seems fine.
Comment 7 Koichiro Iwao freebsd_committer 2020-12-21 12:18:45 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2020-12-21 12:19:24 UTC
A commit references this bug:

Author: meta
Date: Mon Dec 21 12:18:22 UTC 2020
New revision: 558813
URL: https://svnweb.freebsd.org/changeset/ports/558813

Log:
  devel/rubygem-oci: Update to 2.12.0

  PR:		251872
  Submitted by:	Alessandro Sagratini <ale_sagra@hotmail.com> (maintainer)

Changes:
  head/devel/rubygem-oci/Makefile
  head/devel/rubygem-oci/distinfo
Comment 9 Fernando Apesteguía freebsd_committer 2020-12-21 21:32:31 UTC
(In reply to commit-hook from comment #8)
Sorry, I read this too late.

Thanks Alessandro for the changes and Koichiro for the commit!